
$param-card-break: 'sm';

.b-param {
  padding: .25rem !important;
}

.b-param-container {
  margin: -.25rem !important;
}

.b-param-simple {
  input {
    border: 1px solid #ced4da !important;
    border-radius: 0.25rem !important;
  }
}

.b-param {
  .card-header {
    padding-top: .25rem!important;
    padding-bottom: .25rem!important;
    transition: 0.5s ease;
  }
  .card-body > .row {
    min-height: 2em;
  }
  &.b-param-primary .card-header {
    color: theme-color-level("primary", 6);
    background-color: theme-color-level("primary", -10);
    border-color: theme-color-level("primary", -9);
  }
  &.b-param-secondary .card-header {
    color: theme-color-level("secondary", 6);
    background-color: theme-color-level("secondary", -10);
    border-color: theme-color-level("secondary", -9);
  }
  @include media-breakpoint-up($param-card-break) {
    .b-input-simple {
      padding: 0;
    }
    .input-group-append {
      border: 1px solid transparent;
    }
    .b-input input.b-in-edit[readonly],
    .b-input input.b-in-edit[disabled] {
      // override input background, title displays it
      background: transparent;
    }

  }
  input, select {
    @extend .border-sm-0;
  }

  @extend .b-input;
}

.b-param.b-fluid {
  @extend .col-12;
  @extend .col-sm-6;
  @extend .col-lg-4;
  @extend .col-xl-2;
}
